<?php
/**
 * Plugin Adm_redacteurs
 * Version  : 5.5.1 (2008/04/19)
 * Compatibility : Guppy v4.6.6+
 * Author   : jrme CROUX (djchouix)
 * Web site : http://lebrikabrak.info/
 * E-mail   : lebrikabrak@free.fr
 * Licence  : GNU Lesser General Public License
 *
 * Ce fichier est bas sur le fichier suivant:
 * Fork MinieditorTextarea ralis par Djchouix    
 * CeCILL Copyright (C) 2004-2006 by Laurent Duveau
 * Made by Laurent Duveau, Nicolas Alves, Albert Aymard,
 * Jean-Michel Misrachi, Isabelle Marchina and Team
 * Web site = http://lebrikabrak.free.fr/
 * E-mail   : lebrikabrak@free.fr
 * version 1.6
 */
if (stristr($_SERVER["SCRIPT_NAME"], "guppy_xinhaconfig.inc")) {
  header("location:../index.php");
  die();
}
$texte[0] = strip_tags($texte[0]);
$texte[1] = strip_tags($texte[1]); 
$page[1] = strip_tags($page[1]);
$page[2] = strip_tags($page[2]);
if(!eregi("^[a-z]+$",$lng)) die('Erreur dans la valeur de la variable lng. Veuillez contacter le webmaster.');
$pathDirMinieditor = 'plugins/adm_redacteurs/editors/';    //chemin relatif du rpertoire du miniditeur ( ne pas modifier pour ne pas perdre la compatibilit avec les autres plugins)

?>
<script type="text/javascript">
	xinha_config = null;
	xinha_config = xinha_config ? xinha_config() : new HTMLArea.Config(); 				
		   
    //Dimension de l'diteur
  	//Les valeurs permises sont les suivantes:
  	//  width = 'auto'      -- la largeur du textarea sera utilise
  	//  width = 'toolbar'   -- la largeur du la barre d'outils sera utilise
  	//  width = '<css measure>' -- mesure CSS comme par exemple, eg width = '75%'
  	//  height = 'auto'     -- la hauteur du textarea sera utilise
  	//  height = '<css measure>' -- mesure CSS comme par exemple, eg height = '480px'
    xinha_config.width = "auto";
	xinha_config.height = "auto";

	// the next parameter specifies whether the toolbar should be included
  	// in the size above, or are extra to it.  If false then it's recommended
  	// to have explicit pixel sizes above (or on your textarea and have auto above)
  	xinha_config.sizeIncludesBars = true;

  	// the next parameter specifies whether the panels should be included
  	// in the size above, or are extra to it.  If false then it's recommended
  	// to have explicit pixel sizes above (or on your textarea and have auto above)
  	xinha_config.sizeIncludesPanels = true;

  	// each of the panels has a dimension, for the left/right it's the width
  	// for the top/bottom it's the height.
  	//
  	// WARNING: PANEL DIMENSIONS MUST BE SPECIFIED AS PIXEL WIDTHS
  	xinha_config.panel_dimensions =
  	{
    	left:   '200px', // Width
    	right:  '200px',
    	top:    '100px', // Height
    	bottom: '100px'
  	};

  	// enable creation of a status bar?
  	xinha_config.statusBar = true;

  	// intercept ^V and use the HTMLArea paste command
  	// If false, then passes ^V through to browser editor widget
  	xinha_config.htmlareaPaste = false;

  	xinha_config.mozParaHandler = 'best'; // set to 'built-in', 'dirty' or 'best'
                                // built-in: will (may) use 'br' instead of 'p' tags
                                // dirty   : will use p and work good enough for the majority of cases,
                                // best    : works the best, but it's about 12kb worth of javascript
                                //   and will probably be slower than 'dirty'.  This is the "EnterParagraphs"
                                //   plugin from "hipikat", rolled in to be part of the core code

  	// maximum size of the undo queue
  	xinha_config.undoSteps = 20;

  	// the time interval at which undo samples are taken
  	xinha_config.undoTimeout = 500;	// 1/2 sec.

  	//Page HTML complte (true) ou non (false)
	// Si c'est  true alors HTMLArea commencera le code avec la balise <HTML>
  	xinha_config.fullPage = false;
			  
   //Style de l'diteur
   xinha_config.pageStyle ='body { background-color:<?php echo $texte[1]; ?>; color:<?php echo $texte[0]; ?>; font-family:<?php echo $page[1]; ?>; font-size:<?php echo $page[2]; ?>;height:96%; width:auto; margin:0px;padding:5px;} ';

  	// external stylesheets to load (REFERENCE THESE ABSOLUTELY)
  	xinha_config.pageStyleSheets = [ ];

  	// specify a base href for relative links
 	 xinha_config.baseHref  = null;

	//Nettoyage du code provenant de WORD
  	xinha_config.killWordOnPaste = true;
		   
	// URL-s
	xinha_config.imgURL = "images/";
<?php
	echo 'xinha_config.popupURL = "../../'.$pathDirMinieditor.'xinha_config/popups/";';
?>
   //Configuration de la barre d'outils
  	xinha_config.toolbar =
  	[
    	["popupeditor"],
    	["separator","formatblock","fontname","fontsize","bold","italic","underline","strikethrough","subscript","superscript"],
    	["separator","forecolor","hilitecolor","textindicator","htmlmode","showhelp","about"],
    	["linebreak","separator","justifyleft","justifycenter","justifyright","justifyfull"],
    	["separator","insertorderedlist","insertunorderedlist","outdent","indent"],
    	["separator","inserthorizontalrule","createlink","insertimage","inserttable"],
    	["separator","undo","redo","selectall","print"],
    	["separator","killword","clearfonts","removeformat","toggleborders","splitblock","lefttoright", "righttoleft"],
		(HTMLArea.is_gecko ? [] : ["cut","copy","paste"])
  	];
			 
	//Configuration des menus droulants
	xinha_config.fontname = {
    	"&mdash; Police &mdash;":         '',
		"Arial":	   'arial,helvetica,sans-serif',
		"Courier New":	   'courier new,courier,monospace',
		"Georgia":	   'georgia,times new roman,times,serif',
		"Tahoma":	   'tahoma,arial,helvetica,sans-serif',
		"Times New Roman": 'times new roman,times,serif',
		"Verdana":	   'verdana,arial,helvetica,sans-serif',
		"impact":	   'impact',
		"WingDings":	   'wingdings'
	};

	xinha_config.fontsize = {
    	"&mdash; Taille &mdash;": '',
		"1 (8 pt)":  "1",
		"2 (10 pt)": "2",
		"3 (12 pt)": "3",
		"4 (14 pt)": "4",
		"5 (18 pt)": "5",
		"6 (24 pt)": "6",
		"7 (36 pt)": "7"
    };

	xinha_config.formatblock = {
    	"&mdash; Balise &mdash;"  : "",
		"H1": "h1",
		"H2": "h2",
		"H3": "h3",
		"H4": "h4",
		"H5": "h5",
		"H6": "h6",
		"P": "p",
		"div": "div",
		"Address": "address",
		"PRE": "pre",
		"CODE": "code",
		"CITE" : "cite"
	};
</script>
